/* $Header:bclr_h.c 12.0$ */
/* $ACIS:bclr_h.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libF77/RCS/bclr_h.c,v $ */

#ifndef lint
static char *rcsid = "$Header:bclr_h.c 12.0$";
#endif

/* @(#)bclr_h.c	5.1 - 86/12/09 - 09:03:28 */
#include "bit.h"

/* The result is equal to the value of n with the ith bit set to 0.
 * The right most bit is bit 0.
 */

short bclr_h(n,i)
short *n, *i;
{
	if (*i < 0 || *i >= NBSI)
		return(0L);
	return(*n & ~(1L << *i));
}
